﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class WizardControl : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void Wizard1_FinishButtonClick(object sender, WizardNavigationEventArgs e)
    {
        // Библиотека Framework 2.0 в нашем распоряжении
        System.Text.StringBuilder sb = new System.Text.StringBuilder();
        sb.Append("<h3>");
        sb.Append("Вы выбрали: <br />");
        string title;

        title = WizardStep1.Title;
        sb.Append(title + ": " + DropDownList1.Text + "<br />");

        title = WizardStep2.Title;
        int index = RadioButtonList1.SelectedIndex;
        if (index != -1) // Если что-то выбрал
            sb.Append(title + ": " + RadioButtonList1.Items[index].Text + "<br />");

        /*  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! 
        // Для элемента класса CheckBoxList нужно проверять коллекцию:
        CheckBoxList CheckBoxList1;
        foreach (ListItem item in CheckBoxList1.Items)
        {
            if (item.Selected)
                sb.Append(item.Text + "; ");
        }
            !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! */

        title = WizardStep3.Title;
        if (TextBox1.Text.Length > 0)// Если что-то ввел
            sb.Append(title + ": " + TextBox1.Text + "<br /></br />");

        sb.Append("</h3>");

        sb.Append("Вам рекомендуется:");

        // Отображаем собранные данные
        lblSummary.Text = sb.ToString();
    }
}
