﻿<%@ Page Language="C#" AutoEventWireup="true" 
    CodeFile="WizardControl.aspx.cs" Inherits="WizardControl" %>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Элемент управления Wizard</title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:Wizard ID="Wizard1" runat="server" ActiveStepIndex="0" BackColor="#EFF3FB" BorderColor="#B5C7DE"
                BorderWidth="1px" FinishCompleteButtonText="Готово" FinishPreviousButtonText="< Назад"
                HeaderText="Жизненно важная анкета!" StartNextButtonText="Далее >" StepNextButtonText="Далее >"
                StepPreviousButtonText="< Назад" Width="100%" OnFinishButtonClick="Wizard1_FinishButtonClick" SideBarButtonStyle-BackColor="AliceBlue" Font-Names="Verdana" Font-Size="0.8em">
                <WizardSteps>
                    <asp:WizardStep ID="WizardStep1" runat="server" Title="Друзья">
                        <h3>
                            Какой президент самый лучший?</h3>
                        <asp:DropDownList ID="DropDownList1" runat="server">
                            <asp:ListItem>Наш Путин</asp:ListItem>
                            <asp:ListItem>Их Клинтон</asp:ListItem>
                            <asp:ListItem>Похожий на Чингиз-Хана</asp:ListItem>
                            <asp:ListItem>Вы сами</asp:ListItem>
                            <asp:ListItem>Ваша соседка</asp:ListItem>
                        </asp:DropDownList>
                    </asp:WizardStep>
                    <asp:WizardStep ID="WizardStep2" runat="server" Title="Туризм">
                        <h2>
                            Где Вы были с 19 по 21 августа 1991 года?</h2>
                        <asp:RadioButtonList ID="RadioButtonList1" runat="server">
                            <asp:ListItem>На Красной площади</asp:ListItem>
                            <asp:ListItem>На Луне</asp:ListItem>
                            <asp:ListItem>В чужом огороде</asp:ListItem>
                            <asp:ListItem>У тетеньки</asp:ListItem>
                            <asp:ListItem>В ауте</asp:ListItem>
                        </asp:RadioButtonList>
                    </asp:WizardStep>
                    <asp:WizardStep ID="WizardStep3" runat="server" Title="Встречи">
                        <h3>
                            Кайтесь! Место встречи изменить нельзя!</h3>
                        Ваш ИНН:
                        <asp:TextBox ID="TextBox1" runat="server" />
                    </asp:WizardStep>
                    <asp:WizardStep ID="WizardStep4" runat="server" Title="Досуг">
                        <h2>
                            Мера поощрения</h2>
                        <asp:Label ID="lblSummary" runat="server"></asp:Label>
                        <br />
                        Усиленная диета + клизьма ззз перцем!
                    </asp:WizardStep>
                </WizardSteps>
                <HeaderTemplate>
                    <h1>
                        Это заголовок шага:                        
                        <%= Wizard1.ActiveStep.Title %>
                    </h1>
                </HeaderTemplate>
                <StepStyle Font-Size="0.8em" ForeColor="#333333" />
                <SideBarStyle BackColor="#507CD1" Font-Size="0.9em" VerticalAlign="Top" />
                <NavigationButtonStyle BackColor="White" BorderColor="#507CD1" BorderStyle="Solid"
                    BorderWidth="1px" Font-Names="Verdana" Font-Size="0.8em" ForeColor="#284E98" />
                <SideBarButtonStyle BackColor="#507CD1" Font-Names="Verdana" ForeColor="White" />
                <HeaderStyle BackColor="#284E98" BorderColor="#EFF3FB" BorderStyle="Solid" BorderWidth="2px"
                    Font-Bold="True" Font-Size="0.9em" ForeColor="White" HorizontalAlign="Center" />
            </asp:Wizard>
        </div>
    </form>
</body>
</html>
